import '@ionic/core/css/core.css';
import '@ionic/core/css/ionic.bundle.css';
import './scss/_variables.scss';
import './scss/_rewrites.scss';
import './scss/global.scss';
import './scss/animated.scss';
import './cordova.ts';

import FastClick from 'fastclick';
import Vue from 'vue';
import Ionic from '@ionic/vue';
import Toasted from 'vue-toasted';
import App from './App.vue';
import router from './router';
import Fragment from 'vue-fragment';
import { library } from '@fortawesome/fontawesome-svg-core'
import { fas } from '@fortawesome/free-solid-svg-icons'
import { far } from '@fortawesome/free-regular-svg-icons'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'
import { BootstrapVue, BootstrapVueIcons } from 'bootstrap-vue'

Vue.use(BootstrapVue);
Vue.use(BootstrapVueIcons);

document.addEventListener('DOMContentLoaded', () => {
   FastClick.attach(document.body);
}, false)

library.add(fas);
library.add(far);
Vue.component("font-awesome-icon", FontAwesomeIcon);

Vue.config.productionTip = false;
Vue.use(Ionic);

Vue.use(Toasted, {
	action: {
		text : 'Dismiss',
        onClick : (e, toastObject) => {
            toastObject.goAway(0);
        },
        class: 'toasted-cancel-button',
	},
	// theme: 'outline',
	duration: 30000,
});

Vue.use(Fragment.Plugin);

new Vue({
  router,
  render: h => h(App),
}).$mount('#app');
